Delete user group
Delete a user group by ID.
Note:
- This endpoint is now in Beta, disabled for general availability at this time.
- Please note that this endpoint is available only for API keys with Admin permissions.
DELETE
/
management
/
user_groups
/
{groupId}
TypeScript
const response: Promise<FireblocksResponse<void>> = fireblocks.userGroupsBeta.deleteUserGroup(userGroupsBetaApiDeleteUserGroupRequest);CompletableFuture<ApiResponse<Void>> response = fireblocks.userGroupsBeta().deleteUserGroup(groupId);response = fireblocks.user_groups_beta.delete_user_group(group_id);curl --request DELETE \
--url https://api.fireblocks.io/v1/management/user_groups/{groupId}const options = {method: 'DELETE'};
fetch('https://api.fireblocks.io/v1/management/user_groups/{groupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"code": 123
}Path Parameters
The ID of the user group
Response
Request to delete user group submitted for approval
Was this page helpful?
Previous
List usersList all users for the workspace.
Please note that this endpoint is available only for API keys with Admin permissions.
Next
⌘I
TypeScript
const response: Promise<FireblocksResponse<void>> = fireblocks.userGroupsBeta.deleteUserGroup(userGroupsBetaApiDeleteUserGroupRequest);CompletableFuture<ApiResponse<Void>> response = fireblocks.userGroupsBeta().deleteUserGroup(groupId);response = fireblocks.user_groups_beta.delete_user_group(group_id);